Package org.springframework.web.bind

# Class ServletRequestDataBinder.ServletRequestValueResolver

java.lang.Object
org.springframework.web.bind.ServletRequestDataBinder.ServletRequestValueResolver

All Implemented Interfaces:
  `org.springframework.validation.DataBinder.ValueResolver`

Enclosing class:
  ServletRequestDataBinder

protected static class ServletRequestDataBinder.ServletRequestValueResolver extends Object implements org.springframework.validation.DataBinder.ValueResolver
Resolver that looks up values to bind in a `ServletRequest`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ServletRequestValueResolver(ServletRequest request, WebDataBinder dataBinder)`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getNames()`
`protected ServletRequest`
`getRequest()`
`protected Object`
`getRequestParameter(String name, Class<?> type)`
`protected Set<String>`
`initParameterNames(ServletRequest request)`
`final Object`
`resolveValue(String name, Class<?> paramType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletRequestValueResolver

protected ServletRequestValueResolver(ServletRequest request, WebDataBinder dataBinder)

## Method Details

### getRequest

protected ServletRequest getRequest()

### resolveValue

@Nullable public final Object resolveValue(String name, Class<?> paramType)

Specified by:
  `resolveValue` in interface `org.springframework.validation.DataBinder.ValueResolver`

### getRequestParameter

@Nullable protected Object getRequestParameter(String name, Class<?> type)

### getNames

public Set<String> getNames()

Specified by:
  `getNames` in interface `org.springframework.validation.DataBinder.ValueResolver`

### initParameterNames

protected Set<String> initParameterNames(ServletRequest request)